#include <bits/stdc++.h>

using namespace std;
vector<int> skup,skup1(100000);
int main()
{int n,s=1,br=0;
cin>>n;
skup.resize(n);
for(int i=0;i<100000;i++)
{
    skup1[i]=i;
}
for(int i=0;i<n;i++)
{
    int x;
    cin>>x;
    skup[i]=x;
}
for(int i=0;i<n;i++)
{
    for(int j=skup[i];j>0;j--)
    {
        int pom=skup[i]-j;
        while(pom>0)
        {
            s=s+pom%10;
            pom/=10;
        }
        for(int k=0;k<100000;k++)
        {

            if(s==skup[k])
                {
                    br--;
                    break;
                }
            else
            {
                br++;
                break;
            }
        }
        s=0;
    }
    cout<<br<<endl;
}
    return 0;
}